Scilab Function

plot2d2 - 2D plot (step function)

### Calling Sequence

  `plot2d2([x],y)`
  `plot2d2([x],y,<opt_args>)`
  `plot2d2([logflag],x,y,[style,strf,leg,rect,nax])`

### Parameters

[ ] : see `plot2d` for a description of parameters.

### Description

`plot2d2` is the same as `plot2d` but the functions given by `(x,y)` are supposed to be piecewise constant.

By default, successive plots are superposed. To clear the previous plot, use `xbasc()`.

Enter the command `plot2d2()` to see a demo.

### Examples

    // plots a step function of value i on the segment [i,i+1]
    // the last segment is not drawn
    plot2d2([1:4],[1:4],1,"111","step function",[0,0,5,5])
    // compare the following with plot2d
    x=[0:0.1:2*%pi]';
    xbasc()
    plot2d2(x,[sin(x) sin(2*x) sin(3*x)])

### See Also

`plot2d` `plot2d3` `plot2d4` `subplot` `xbasc` `xset`

### Author

J.Ph.C.